<script>
$(function () {
    var started = false;
    var played = 0;
    var videoLength = 0;
    var finished = false;

    flowplayer()
        .on("finish", function(e, api) {
            console.log("finished");
            lucyDispatchEvent("video-finish");
            finished = true;
        })
        .on("progress", function(e, api, time) {
            played = time;

            if (!started) {
                console.log("started");
                lucyDispatchEvent("video-start");
            }

            started = true;
        })
        .on("ready", function (e, api, video) {
            console.log("video length", video.duration);
            videoLength = video.duration;
        });

    window.onbeforeunload = function() {
        if (started && videoLength > 0 && !finished) {
            var playedPercent = Math.floor(Math.ceil(100 * played / videoLength) / 10) * 10;
            console.log("played percent", playedPercent);
            lucyDispatchEvent("video-" + playedPercent);
        }
    }
});
</script>